Commit 1d8b5bc8 authored by Stefan Monnier's avatar Stefan Monnier
Browse files

Move cl.el to lisp/obsolete

* lisp/emacs-lisp/cl.el: Move from here...
* lisp/obsolete/cl.el: ...to here.

* lisp/subr.el (do-after-load-evaluation): Use "deprecated" in the
message when loading packages from lisp/obsolete.
parent 6231483b
Pipeline #2773 failed with stage
in 74 minutes and 46 seconds
......@@ -497,6 +497,8 @@ current and the previous or the next line, as before.
* Changes in Specialized Modes and Packages in Emacs 27.1
** The 'cl' package is now officially deprecated in favor of `cl-lib`.
+++
** winner
*** A new variable, 'winner-boring-buffers-regexp', has been added.
......
......@@ -3,6 +3,7 @@
;; Copyright (C) 2012-2019 Free Software Foundation, Inc.
;; Author: Stefan Monnier <monnier@iro.umontreal.ca>
;; Deprecated-since: 27.1
;; Keywords: extensions
;; This file is part of GNU Emacs.
......
......@@ -4453,7 +4453,7 @@ This function is called directly from the C code."
(package (intern (substring file 0
(string-match "\\.elc?\\>" file))
obarray))
(msg (format "Package %s is obsolete" package)))
(msg (format "Package %s is deprecated" package)))
;; Cribbed from cl--compiling-file.
(when (or (not (fboundp 'byte-compile-warning-enabled-p))
(byte-compile-warning-enabled-p 'obsolete package))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment